package com.yc.ship.module.trade.enums;


import com.yc.ship.framework.common.core.IntArrayValuable;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 证件类型
 *
 */
@RequiredArgsConstructor
@Getter
public enum CredentialTypeEnum implements IntArrayValuable {
    ID_CARD(0, "身份证"),
    PASSPORT(1, "护照"),
    FORERVER_LIVE_CARD(2, "外国人永居证"),
    GAT_PASS_CARD(3, "港澳台通行证"),
    SOCIAL_SECURITY_CARD(4, "社保卡"),
    GANG_AO_PASS_CARD(5, "港澳通行证"),
    TW_PASS_CARD(6, "台湾通行证"),
    HUI_XIANG_CARD(7, "回乡证"),
    TAI_BAO_CARD(8, "台胞证"),
    FOREIGN_PASSPORT(9, "外籍护照"),
    OTHER(99, "其他");



    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(CredentialTypeEnum::getType).toArray();

    /**
     * 状态值
     */
    private final Integer type;
    /**
     * 状态名
     */
    private final String name;

    @Override
    public int[] array() {
        return ARRAYS;
    }

}
